RubyGems Navigation menu

dry-schema 1.13.0

dry-schema provides a DSL for defining schemas with keys and rules that should be applied to values. It supports coercion, input sanitization, custom types and localized error messages (with or without I18n gem). It's also used as the schema engine in dry-validation.

Versions:

  1. 1.13.0 - November 24, 2022 (45 KB)
  2. 1.12.0 - November 04, 2022 (44.5 KB)
  3. 1.11.3 - October 21, 2022 (44.5 KB)
  4. 1.11.2 - October 16, 2022 (44.5 KB)
  5. 1.11.1 - October 15, 2022 (44.5 KB)
Show all versions (53 total)

Runtime Dependencies (7):

  • concurrent-ruby ~> 1.0
  • dry-configurable ~> 1.0, >= 1.0.1
  • dry-core ~> 1.0, < 2
  • dry-initializer ~> 3.0
  • dry-logic >= 1.5, < 2
  • dry-types >= 1.7, < 2
  • zeitwerk ~> 2.6
  • Development Dependencies (3):

    Owners:

    Pushed by:

    Authors:

    • Piotr Solnica

    SHA 256 checksum:

    7984b1ddae0b0db5f33e2f421a35aa5fa5629931305f185a1937e7a46567427e

    Total downloads 26,119,114

    For this version 9,563

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.7.0

    Links: